{
    description = "An alternative to FZF written in Go, specifically optimized for file path selection.";
    inputs = {
        nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
        flake-parts = {
            url = "github:hercules-ci/flake-parts";
            inputs.nixpkgs-lib.follows = "nixpkgs";
        };
    };

    outputs = inputs @ {flake-parts, ...}:
        flake-parts.lib.mkFlake {inherit inputs;} {
            systems = ["x86_64-linux" "aarch64-linux"];
            perSystem = {
                pkgs,
                system,
                ...
                }: let
                    fzgo = pkgs.callPackage ./. {};
                in {
                    formatter = pkgs.alejandra;
                    packages = {
                        default = fzgo;
                        inherit fzgo;
                    };
                };
        };
}
